<?php


namespace App\Model\Facades;


use App\Model\Facades\Readers\WowApiReader;
use App\Model\Facades\Writers\WowApiWriter;

class WowFacade extends BaseFacade
{
    /** @var WowApiReader */
    protected $wowApiReader;
    /** @var WowApiWriter */
    protected $wowApiWriter;

    public function __construct(WowApiReader $wowApiReader, WowApiWriter $wowApiWriter)
    {
        $this->wowApiReader = $wowApiReader;
        $this->wowApiWriter = $wowApiWriter;
    }

    /**
     * @return WowApiReader
     */
    public function getWowApiReader()
    {
        return $this->wowApiReader;
    }

    /**
     * @return WowApiWriter
     */
    public function getWowApiWriter()
    {
        return $this->wowApiWriter;
    }

}